Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 10 Jun 2022 08:22:55 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have received horrible treatment from Splash. The driver shouting at me, then hanging up the phone. Late delivery. Late pickup. Now I am requesting cash back for my order which I returned.

If I do not receive cash back for my order, I am going to make an official complaint in the Consumer Protection Department and raise thisbissue on my Social Media accounts. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4460109